<!-- Copyright (c) 2026 defconxt. All rights reserved. -->
<!-- Licensed under AGPL-3.0 — see LICENSE file for details. -->
<!-- NERF is a trademark of defconxt. -->
# Testing Oauth Implementation Flaws — API Reference

## Agent Script

| Command | Description |
|---------|-------------|
| `map --url <val> --flow <val>` | Map OAuth authorization flow |
| `test --url <val> --vector <val>` | Test OAuth implementation flaws |
| `exploit --url <val> --vector <val> --redirect <val>` | Exploit OAuth vulnerability |
| `report --url <val> --format <val>` | Generate OAuth security report |

## Parameters

| Parameter | Type | Required | Description |
|-----------|------|----------|-------------|
| `--url` | string | Yes | Url parameter |
| `--flow` | string | Yes | Flow parameter |
| `--vector` | string | Yes | Vector parameter |
| `--redirect` | string | Yes | Redirect parameter |
| `--format` | string | Yes | Format parameter |
